# $Revision: 1.12 $, $Date: 2011/02/20 04:10:43 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libev - an event notification library
Summary(pl.UTF-8):	libev - biblioteka powiadamiająca o zdarzeniach
Name:		libev
Version:	4.04
Release:	1
License:	BSD or GPL v2+
Group:		Libraries
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
# Source0-md5:	c1130d0a4782681ba5277df1bc3fb335
URL:		http://software.schmorp.de/pkg/libev
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
# inotify interface
BuildRequires:	glibc-devel >= 6:2.4
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libev API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has
been reached. It is meant to replace the asynchronous event loop found
in event-driven network servers.

%description -l pl.UTF-8
API libev dostarcza mechanizm do wykonywania funkcji callback, kiedy
nastąpiło określone zdarzenie w deskryptorze pliku lub po określonym
czasie. Ma to na celu zastąpienie asynchronicznych pętli w sterowanych
zdarzeniami usługach sieciowych.

%package devel
Summary:	Header files for libev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libev library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libev.

%package static
Summary:	Static libev library
Summary(pl.UTF-8):	Statyczna biblioteka libev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libev library.

%description static -l pl.UTF-8
Statyczna biblioteka libev.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

# override -O3 which overrides our optflags in configure
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# avoid conflict with libevent
install -d $RPM_BUILD_ROOT%{_includedir}/libev
mv $RPM_BUILD_ROOT%{_includedir}/event.h $RPM_BUILD_ROOT%{_includedir}/libev

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%attr(755,root,root) %{_libdir}/libev.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libev.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libev.so
%{_libdir}/libev.la
%{_includedir}/ev.h
%{_includedir}/ev++.h
%dir %{_includedir}/libev
%{_includedir}/libev/event.h
%{_mandir}/man3/ev.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libev.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libev.spec,v $
Revision 1.12  2011/02/20 04:10:43  aredridel
- 4.04

Revision 1.11  2011/01/12 19:13:49  qboosh
- updated to 4.03

Revision 1.10  2010/11/13 14:36:56  caleb
- Up to 4.01

Revision 1.9  2010/03/14 23:54:01  glen
- macro cosmetic

Revision 1.8  2010/03/12 06:48:21  aredridel
- 3.9

Revision 1.7  2010/01/01 22:54:14  sparky
- use standatd BuildRoot directory

Revision 1.6  2009/06/09 11:36:28  amateja
- updated to 3.6 (or 3.60 - due to wierd version numeration)

Revision 1.5  2008/07/14 16:56:30  qboosh
- updated to 3.43

Revision 1.4  2008/02/19 23:12:31  qboosh
- updated to 3.0 (new soname)

Revision 1.3  2008-01-22 18:38:52  qboosh
- updated to 2.01 (new soname)

Revision 1.2  2007-12-16 14:20:36  qboosh
- updated to 1.85
- avoid conflict with libevent-devel

Revision 1.1  2007-11-21 20:35:17  areq
- init PLD spec
